Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ERROR: dev-haskell/regex-compat-0.95.1 failed
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
pgu
Guru
Guru


Joined: 30 Jul 2009
Posts: 458
Location: Oslo, Norway

PostPosted: Mon Jan 21, 2013 12:46 pm    Post subject: ERROR: dev-haskell/regex-compat-0.95.1 failed Reply with quote

Code:
emerge -pv dev-vcs/darcs

pulls in dev-vcs/darcs-2.8.0 which results in:
Code:
 * ERROR: dev-haskell/regex-compat-0.95.1 failed (configure phase):
 *   setup configure failed
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_configure
 *   environment, line 2667:  Called haskell-cabal_src_configure
 *   environment, line 2006:  Called cabal-configure
 *   environment, line  477:  Called die
 * The specific snippet of code:
 *       ./setup "$@" || die "setup configure failed"
 *
 * If you need support, post the output of `emerge --info '=dev-haskell/regex-compat-0.95.1'`,


Here's the emerge info output:

Code:
# emerge --info '=dev-haskell/regex-compat-0.95.1'
Portage 2.1.11.31 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.14.1-r3, 3.3.8-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.3.8-gentoo-x86_64-Intel-R-_Core-TM-_i3-3217U_CPU_@_1.80GHz-with-gentoo-2.1
Timestamp of tree: Mon, 21 Jan 2013 06:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2, 4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cxx dbus dri dts dvd dvdr emacs emboss encode exif fam ffmpeg firefox flac fortran gdbm gif git gstreamer gtk iconv ipv6 jpeg kde lcms libnotify mad metric mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nsplugin ntpl opengl openmp pam pango pcre pdf png policykit ppds python qt3support qt4 readline sbcl sdl session spell sse sse2 ssew2 ssl startup-notification subversion svg symlink tcpd threads tiff truetype udev udisks unicode upower usb wxwidgets x264 xcb xface xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en no" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Back to top
View user's profile Send private message
pgu
Guru
Guru


Joined: 30 Jul 2009
Posts: 458
Location: Oslo, Norway

PostPosted: Tue Jan 22, 2013 11:05 am    Post subject: Reply with quote

I would assume anybody trying to emerge darcs would experience this problem?
Back to top
View user's profile Send private message
gienah
Developer
Developer


Joined: 24 Nov 2010
Posts: 127
Location: AU

PostPosted: Fri Jan 25, 2013 10:43 am    Post subject: Reply with quote

Quote:
Code:
 * ERROR: dev-haskell/regex-compat-0.95.1 failed (configure phase):
 *   setup configure failed


That only says it failed, it gives no hints as to the error, or the ghc version.

The error is likely to be in build.log, which looks like it should be in a directory something like /var/tmp/portage/dev-haskell/regex-compat-0.95.1/temp/build.log

The ghc version can be obtained with:

Code:
ghc -V


Quote:
I would assume anybody trying to emerge darcs would experience this problem?


dev-vcs/darcs-2.8.0 does not compile with ghc 7.6.1, but it seems like a big assumption to assume that the stable package dev-haskell/regex-compat-0.95.1 is broken for everyone.
Back to top
View user's profile Send private message
cwr
Veteran
Veteran


Joined: 17 Dec 2005
Posts: 1686

PostPosted: Fri Jan 25, 2013 4:10 pm    Post subject: Reply with quote

You might find it easier to install directly (while on-line) with cabal. The combination
of Gentoo packages, GHC package handling, and cabal packages is not a happy one.
Once I've built GHC and run cabal-install I stick to running cabal directly.

Will
Back to top
View user's profile Send private message
pgu
Guru
Guru


Joined: 30 Jul 2009
Posts: 458
Location: Oslo, Norway

PostPosted: Mon Jan 28, 2013 8:37 pm    Post subject: Reply with quote

gienah wrote:
[
Quote:
I would assume anybody trying to emerge darcs would experience this problem?


dev-vcs/darcs-2.8.0 does not compile with ghc 7.6.1, but it seems like a big assumption to assume that the stable package dev-haskell/regex-compat-0.95.1 is broken for everyone.


Probably. I meant anyone which has synced recently. I just did a sync and a world update and ran into this problem.

Code:
# ghc -V
The Glorious Glasgow Haskell Compilation System, version 6.12.3


Here's some information which might be relevant.

Code:
# less /var/tmp/portage/dev-haskell/regex-compat-0.95.1/temp/build.log
...
Flags chosen: splitbase=True, newbase=True
Dependency array -any: using array-0.3.0.1
Dependency base ==4.*: using base-4.2.0.2
Dependency regex-base >=0.93: using regex-base-0.93.2
Dependency regex-posix >=0.95.1: using regex-posix-0.95.1
setup: The following installed packages are broken because other packages they
depend on are missing. These broken packages must be rebuilt before they can
be used.
package regex-base-0.93.2 is broken due to missing package
mtl-1.1.1.1-57f2dda1d35dc730219caa06f16057c1


Code:

emerge -pv dev-haskell/mtl

 * IMPORTANT: 2 config files in '/etc/portage' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-haskell/mtl-2.1.2  USE="-doc -hscolour -profile" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Back to top
View user's profile Send private message
gienah
Developer
Developer


Joined: 24 Nov 2010
Posts: 127
Location: AU

PostPosted: Tue Jan 29, 2013 6:05 pm    Post subject: Reply with quote

The short answer is: you need to run:

Code:
haskell-updater


from app-admin/haskell-updater.

The Gentoo haskell library packages that are broken by updates to dependent libraries need to be rebuilt.
Gentoo provides app-admin/haskell-updater to rebuild these packages.

Quote:
You might find it easier to install directly (while on-line) with cabal. The combination
of Gentoo packages, GHC package handling, and cabal packages is not a happy one.


The packages installed by cabal are not rebuilt by haskell-updater. The list of broken haskell libraries can be found with:

Code:
ghc-pkg check


haskell-updater rebuilds all the Gentoo packages on this list. I see lots of advice on the internet to install everything with cabal.
Since Gentoo is a source code based distro, and it provides haskell-updater to rebuild broken packages, a solution that works
well in practice is to install all Haskell packages with emerge. There are hundreds of Haskell packages in the Gentoo Haskell overlay.
For any that you are missing you can create ebuilds in a local overlay (say /usr/local/portage) with app-portage/hackport:

Code:
hackport merge pkg-on-hackage


http://www.haskell.org/haskellwiki/Gentoo
https://github.com/gentoo-haskell/gentoo-haskell/blob/master/README.rst
http://wiki.gentoo.org/wiki/Haskell
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum